Bug 1272587 - Fix cluster schema (/cluster/rm/resources/action is wrong)
Summary: Fix cluster schema (/cluster/rm/resources/action is wrong)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: resource-agents
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Pokorný [poki]
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1173942
Blocks: 1272588
TreeView+ depends on / blocked
 
Reported: 2015-10-16 19:42 UTC by Jan Pokorný [poki]
Modified: 2016-11-11 14:31 UTC (History)
11 users (show)

Fixed In Version: resource-agents-3.9.5-31.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1044048
: 1272588 (view as bug list)
Environment:
Last Closed: 2016-05-10 19:15:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0735 normal SHIPPED_LIVE resource-agents bug fix and enhancement update 2016-05-10 22:28:24 UTC

Description Jan Pokorný [poki] 2015-10-16 19:42:11 UTC
+++ This bug was initially created as a clone of Bug #1044048 +++

--- Additional comment from Jan Pokorný on 2014-12-16 16:44:40 CET ---

Another discovery (thanks to Piyush Sharma):

/cluster/rm/resources/action -> wrong
/cluster/rm/resources/SOMETHING/action -> ok (for SOMETHING in clusterfs, ip, ...)

As a side effect, wrongly-alleged-valid first case is what makes luci
choke: [bug 1173942].

--- Additional comment from Jan Pokorný on 2014-12-16 18:03:15 CET ---

...as per rgmanager's code examination

--- Additional comment from Jan Pokorný on 2015-10-16 21:37:02 CEST ---

Definitely 6.8 material.

Comment 8 errata-xmlrpc 2016-05-10 19:15:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0735.html

Comment 9 Jan Pokorný [poki] 2016-11-11 14:31:03 UTC
Forgotten, but eventually delivered upstream fix:
https://github.com/ClusterLabs/resource-agents/pull/879


Note You need to log in before you can comment on or make changes to this bug.